The online racing simulator
Cannot choose LFS version 0.6R on the setup details page
(2 posts, started , go to first unread)
Cannot choose LFS version 0.6R on the setup details page
Not really a bug I guess, just missing the option for the newest version of LFS
** Best answer **
Ah, fixed. Thanks.

Cannot choose LFS version 0.6R on the setup details page
(2 posts, started )
FGED GREDG RDFGDR GSFDG